package com.example.fieldagent.data.models.responses


data class InspectionData (
    val status: Long? = null,
    val success: Boolean? = null,
    val message: String? = null,
    val data: ListData? = null
)

data class ListData (
    val inspections: List<InspectionList>? = null,
    val pagination: Pagination? = null
)

data class InspectionList (
    val id: Long? = null,
    val userID: Long? = null,
    val name: String? = null,
    val location: String? = null,
    val supervisorName: String? = null,
    val supervisorPhoneNumber: String? = null,
    val siteCondition: String? = null,
    val area: Long? = null,
    val womenPrayerArea: Boolean? = null,
    val totalCapacity: Long? = null,
    val totalRestrooms: Long? = null,
    val isCompleted: Boolean? = null,
    val isDeleted: Boolean? = null,
    val createdAt: String? = null,
    val updatedAt: String? = null,
    val damages: List<Any?>? = null
)

data class Pagination (
    val total: Long? = null,
    val page: Long? = null,
    val limit: Long? = null,
    val totalPages: Long? = null,
    val hasNextPage: Boolean? = null,
    val hasPrevPage: Boolean? = null
)

