package com.example.fieldagent.ui.damagelist.adapter

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.fieldagent.R
import com.example.fieldagent.ui.damagedetails.adapter.DamageDetailsAdapter

class DamageListAdapter() : RecyclerView.Adapter<DamageListAdapter.DamageHolder>() {

    class DamageHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
           val recyclerView: RecyclerView = itemView.findViewById(R.id.rvImage)
           //val locationText: TextView = itemView.findViewById(R.id.txtLocation)
          // val timeText: TextView = itemView.findViewById(R.id.txtTime)

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): DamageHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.damage_view_adapter, parent, false)
        return DamageHolder(view)
    }

    override fun onBindViewHolder(holder: DamageHolder, position: Int) {

       val adapter = ShowImageAdapter()
        holder.recyclerView.layoutManager=
            LinearLayoutManager(holder.itemView.context, LinearLayoutManager.HORIZONTAL, false)
        holder.recyclerView.adapter = adapter
        /*     holder.nameText.text =" user.name"
             holder.locationText.text =" user.address"
             holder.timeText.text = "user.time"*/


    }

    override fun getItemCount(): Int = 4
}